Loading...
Searching...
No Matches
gtsam::FourierBasis Class Reference

## Detailed Description

Fourier basis.

Inheritance diagram for gtsam::FourierBasis:

## Static Public Member Functions

static Weights | CalculateWeights (size_t N, double x)
| Evaluate Real Fourier Weights of size N in interval [a, b], e.g.
static Weights | CalculateWeights (size_t N, double x, double a, double b)
| Evaluate Real Fourier Weights of size N in interval [a, b], e.g.
static DiffMatrix | DifferentiationMatrix (size_t N)
| Compute D = differentiation matrix.
static Weights | DerivativeWeights (size_t N, double x)
| Get weights at a given x that calculate the derivative.
static Weights | DerivativeWeights (size_t N, double x, double a, double b)
| Get derivative weights at a given x that calculate the derivative, in the interval [a, b].
Static Public Member Functions inherited from gtsam::Basis< FourierBasis >
static Matrix | WeightMatrix (size_t N, const Vector &X)
| Calculate weights for all x in vector X.

## Public Types

using | Parameters = Eigen::Matrix<double, -1, 1>
using | DiffMatrix = Eigen::Matrix<double, -1, -1>

## Member Function Documentation

## CalculateWeights() [1/2]

Weights gtsam::FourierBasis::CalculateWeights | ( | size_t | N,
|  | double | x )

inline static

Evaluate Real Fourier Weights of size N in interval [a, b], e.g.

N=5 yields bases: 1, cos(x), sin(x), cos(2*x), sin(2*x)

Parameters

  N | The degree of the polynomial to use.
  x | The point at which to compute the derivaive weights.

Returns
  Weights

## CalculateWeights() [2/2]

Weights gtsam::FourierBasis::CalculateWeights | ( | size_t | N,
|  | double | x,
|  | double | a,
|  | double | b )

inline static

Evaluate Real Fourier Weights of size N in interval [a, b], e.g.

N=5 yields bases: 1, cos(x), sin(x), cos(2*x), sin(2*x)

Parameters

  N | The degree of the polynomial to use.
  x | The point at which to compute the weights.
  a | Lower bound of interval.
  b | Upper bound of interval.

Returns
  Weights

## DerivativeWeights() [1/2]

Weights gtsam::FourierBasis::DerivativeWeights | ( | size_t | N,
|  | double | x )

inline static

Get weights at a given x that calculate the derivative.

Parameters

  N | The degree of the polynomial to use.
  x | The point at which to compute the derivaive weights.

Returns
  Weights

## DerivativeWeights() [2/2]

Weights gtsam::FourierBasis::DerivativeWeights | ( | size_t | N,
|  | double | x,
|  | double | a,
|  | double | b )

inline static

Get derivative weights at a given x that calculate the derivative, in the interval [a, b].

Parameters

  N | The degree of the polynomial to use.
  x | The point at which to compute the derivaive weights.
  a | Lower bound of interval.
  b | Upper bound of interval.

Returns
  Weights

## DifferentiationMatrix()

DiffMatrix gtsam::FourierBasis::DifferentiationMatrix | ( | size_t | N | ) |

inline static

Compute D = differentiation matrix.

Given coefficients c of a Fourier series c, D*c are the values of c'.

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/basis/Fourier.h